> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /kipris/designs/search

> Search Korean design collection

**Price:** 1 credit per 100 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/kipris/designs/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/kipris/designs/search:
    post:
      tags:
        - /kipris
      summary: /kipris/designs/search
      description: |-
        Search Korean design collection

        **Price:** 1 credit per 100 results
      operationId: __api_kipris_designs_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KiprisDesignsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/KiprisDesign'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    KiprisDesignsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          anyOf:
            - type: string
            - type: 'null'
        design_title:
          anyOf:
            - type: string
            - type: 'null'
        applicant:
          anyOf:
            - type: string
            - type: 'null'
        designer:
          anyOf:
            - type: string
            - type: 'null'
        rights_holder:
          anyOf:
            - type: string
            - type: 'null'
        agent:
          anyOf:
            - type: string
            - type: 'null'
        application_number:
          anyOf:
            - type: string
            - type: 'null'
        registration_number:
          anyOf:
            - type: string
            - type: 'null'
        locarno_class:
          anyOf:
            - type: string
            - type: 'null'
        application_date_from:
          anyOf:
            - type: string
            - type: 'null'
        application_date_to:
          anyOf:
            - type: string
            - type: 'null'
        registration_date_from:
          anyOf:
            - type: string
            - type: 'null'
        registration_date_to:
          anyOf:
            - type: string
            - type: 'null'
        sort:
          $ref: '#/components/schemas/KiprisDesignSort'
          default: relevance
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    KiprisDesign:
      properties:
        '@type':
          type: string
          default: KiprisDesign
        id:
          type: string
        title_en:
          anyOf:
            - type: string
            - type: 'null'
        application_number:
          anyOf:
            - type: string
            - type: 'null'
        application_date:
          anyOf:
            - type: string
            - type: 'null'
        publication_date:
          anyOf:
            - type: string
            - type: 'null'
        registration_number:
          anyOf:
            - type: string
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        legal_status:
          anyOf:
            - type: string
            - type: 'null'
        legal_status_detail:
          anyOf:
            - type: string
            - type: 'null'
        locarno_class:
          anyOf:
            - type: string
            - type: 'null'
        design_class:
          items:
            type: string
          type: array
          default: []
        applicants:
          items:
            type: string
          type: array
          default: []
        designers:
          items:
            type: string
          type: array
          default: []
        designers_en:
          items:
            type: string
          type: array
          default: []
        agents:
          items:
            type: string
          type: array
          default: []
        rights_holders:
          items:
            type: string
          type: array
          default: []
        rights_holders_en:
          items:
            type: string
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    KiprisDesignSort:
      type: string
      enum:
        - relevance
        - application_date
        - registration_date
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````